package com.example.first_db;

import android.content.Context;
import android.provider.BaseColumns;
import android.database.sqlite.SQLiteOpenHelper;
import android.database.sqlite.SQLiteDatabase;
import android.util.Log;

public class EventDataSQLHelper extends SQLiteOpenHelper{
    private static final String DATABASE_NAME = "events.db";
    private static final int DATABASE_VERSION = 1;
    public static final String TABLE = "events";
    public static final String TIME  = "time";
    public static final String TITLE = "title";
    
    public EventDataSQLHelper(Context context){
        super(context, DATABASE_NAME, null, DATABASE_VERSION);
    }
    
    @Override
    public void onCreate(SQLiteDatabase db){
        String sql = String.format( "create table %s( %s integer primary key autoincrement, %s integer, %s text not null); ", TABLE, 
                                                                   BaseColumns._ID, TIME, TITLE);
        Log.d("EventsData", String.format("onCreate %s", sql));
        db.execSQL(sql);
    }
    
    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion){
        if (oldVersion >= newVersion){
            return;
        }
        
        String sql = null;
        if (oldVersion  == 1){
            sql = String.format("alter table %s add note text;", TABLE);
        }
        if (oldVersion  == 2){
            sql = "";
        }
        Log.d("EventsData", String.format("onUpgrade : %s", sql));
        if (sql != null){
            db.execSQL(sql);
        }
    }
}
