package com.example.first_db;

import android.app.Activity;
import android.os.Bundle;
//import static android.provider.BaseColumns._ID;
import android.content.ContentValues;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.view.KeyEvent;
import android.widget.*;

public class MainActivity extends Activity{
    EventDataSQLHelper eventsData;
    TextView output;
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        this.output = (TextView) findViewById(R.id.text_view);
        this.eventsData = new EventDataSQLHelper(this);
        this.addEvent("Hello Android Event");
        Cursor cursor  = getEvents();
        showEvents(cursor);
    }
    
    @Override
    public void onDestroy(){
        eventsData.close();
    }
    
    @Override
    public void onPause(){
        super.onPause();
        this.eventsData = null;
    }
    
    @Override
    public void onStop(){
        super.onStop();
        this.finish();
    }
    
    private void addEvent(String title){
        SQLiteDatabase db = eventsData.getWritableDatabase();
        ContentValues values = new ContentValues();
        values.put(EventDataSQLHelper.TIME, System.currentTimeMillis());
        values.put(EventDataSQLHelper.TITLE, title);
        db.insert(EventDataSQLHelper.TABLE, null, values);
    }
    
    private Cursor getEvents(){
        SQLiteDatabase db = this.eventsData.getReadableDatabase();
        Cursor cursor = db.query(EventDataSQLHelper.TABLE, null, null, null, null, null, null);
        startManagingCursor(cursor);
        return cursor;
    }
   
    
    private void showEvents(Cursor cursor){
        StringBuilder ret = new StringBuilder("Saved Events:\n\n");
        while (cursor.moveToNext()){
            long id = cursor.getLong(0);
            long time = cursor.getLong(1);
            String title = cursor.getString(2);
            ret.append(String.format("%d :  %d   :  %s\n", id, time, title));
        }
        output.setText(ret);
    }
}
